# Ansible Configuration

## 1Password Integration

This Ansible configuration includes a custom lookup plugin for fetching secrets from 1Password. 
The 1Password CLI must be installed and authenticated on the machine running Ansible.

See [1Password Integration Readme](plugins/lookup/README.md)

### Prerequisites

1. Install 1Password CLI
2. Sign in to 1Password using `op signin`
3. Service account should be properly configured

### Finding Vault IDs

To find your vault ID:

```bash
op vault list
```

For more information, see the [1Password CLI documentation](https://developer.1password.com/docs/cli).
```
